package com.smppw.modaq.application.components.report.writer;

import cn.hutool.core.map.MapUtil;
import com.smppw.modaq.common.enums.ReportType;

import java.util.Map;

public final class ReportWriterConstant {
    public static final Map<ReportType, String> REPORT_TYPE_BEAN_MAP = MapUtil.newHashMap(8);

    static final String WRITER_OTHER = "report-writer:other";

    static final String WRITER_WEEKLY = "report-writer:weekly";

    static final String WRITER_LETTER = "report-writer:letter";

    static final String WRITER_MONTHLY = "report-writer:monthly";
    static final String WRITER_QUARTERLY = "report-writer:quarterly";
    static final String WRITER_ANNUALLY = "report-writer:annually";

    static {
        REPORT_TYPE_BEAN_MAP.put(ReportType.OTHER, WRITER_OTHER);

        REPORT_TYPE_BEAN_MAP.put(ReportType.WEEKLY, WRITER_WEEKLY);

        REPORT_TYPE_BEAN_MAP.put(ReportType.LETTER, WRITER_LETTER);

        REPORT_TYPE_BEAN_MAP.put(ReportType.MONTHLY, WRITER_MONTHLY);
        REPORT_TYPE_BEAN_MAP.put(ReportType.QUARTERLY, WRITER_QUARTERLY);
        REPORT_TYPE_BEAN_MAP.put(ReportType.ANNUALLY, WRITER_ANNUALLY);
    }
}
